> ## Documentation Index
> Fetch the complete documentation index at: https://docs.causeloop.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit Rtbf Request

> Submit a GDPR Article 17 right-to-be-forgotten request. Admin only.

Hashes the email into a privacy-preserved subject_ref using HMAC-SHA256.
Returns 409 if an active request already exists for the same subject.



## OpenAPI

````yaml /openapi.json post /v1/governance/rtbf/requests
openapi: 3.1.0
info:
  description: Causeloop Platform Backend
  title: Causeloop API
  version: 1.0.0
servers: []
security: []
paths:
  /v1/governance/rtbf/requests:
    post:
      tags:
        - gdpr
      summary: Submit Rtbf Request
      description: |-
        Submit a GDPR Article 17 right-to-be-forgotten request. Admin only.

        Hashes the email into a privacy-preserved subject_ref using HMAC-SHA256.
        Returns 409 if an active request already exists for the same subject.
      operationId: submit_rtbf_request_v1_governance_rtbf_requests_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RtbfRequestCreate'
        required: true
      responses:
        '202':
          content:
            application/json:
              schema:
                additionalProperties: true
                title: Response Submit Rtbf Request V1 Governance Rtbf Requests Post
                type: object
          description: Successful Response
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
      security:
        - HTTPBearer: []
components:
  schemas:
    RtbfRequestCreate:
      description: Body for submitting a Right-To-Be-Forgotten request (admin only).
      properties:
        email:
          title: Email
          type: string
        mode:
          default: anonymize
          enum:
            - erase
            - anonymize
          title: Mode
          type: string
        reason:
          anyOf:
            - maxLength: 2000
              type: string
            - type: 'null'
          title: Reason
      required:
        - email
      title: RtbfRequestCreate
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        ctx:
          title: Context
          type: object
        input:
          title: Input
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBearer:
      scheme: bearer
      type: http

````